Bug 222868 - devel/oniguruma5: delete the port (obsolete, vulnerable)
Summary: devel/oniguruma5: delete the port (obsolete, vulnerable)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-08 18:49 UTC by Michael Bueker
Modified: 2017-11-12 13:36 UTC (History)
2 users (show)

See Also:
riggs: maintainer-feedback-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Bueker 2017-10-08 18:49:31 UTC
As per the discussions in https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=220818 and https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=220438, this port is unmaintained upstream, has an open vulnerability and has been superseded in all dependencies by oniguruma6. It should therefore be deleted.
Comment 1 Thomas Zander freebsd_committer 2017-10-29 18:22:32 UTC
Maintainer timeout
Comment 2 commit-hook freebsd_committer 2017-10-29 18:24:51 UTC
A commit references this bug:

Author: riggs
Date: Sun Oct 29 18:23:55 UTC 2017
New revision: 453131
URL: https://svnweb.freebsd.org/changeset/ports/453131

Log:
  Mark DEPRECATED, expires on 2017-11-12

  Details:
  - No longer maintained upstream
  - Superseded by devel/oniguruma6
  - No longer any in-tree dependencies

  PR:		222868
  Reported by:	m.bueker@berlin.de
  Approved by:	maintainer timeout

Changes:
  head/devel/oniguruma5/Makefile
Comment 3 commit-hook freebsd_committer 2017-11-12 13:32:54 UTC
A commit references this bug:

Author: riggs
Date: Sun Nov 12 13:32:23 UTC 2017
New revision: 454038
URL: https://svnweb.freebsd.org/changeset/ports/454038

Log:
  Remove devel/oniguruma5

  Details:
  - No longer maintained upstream
  - Superseded by devel/oniguruma6
  - No longer any in-tree dependencies

  PR:		222868
  Reported by:	m.bueker@berlin.de
  Approved by:	maintainer timeout

Changes:
  head/MOVED
  head/devel/oniguruma5/